# Interface BaseErrorParams

#### Hierarchy

- BaseErrorParams

- Defined in src/errors/baseError.ts:3

#####
Index

### Properties

cause?
code
message
request
requestMeta?
response
stack?

## Properties

### `Optional` cause

cause?: Error

- Defined in src/errors/baseError.ts:10

### code

code: number

- Defined in src/errors/baseError.ts:8

### message

message: string

- Defined in src/errors/baseError.ts:7

### request

request: Request

- Defined in src/errors/baseError.ts:5

### `Optional` requestMeta

requestMeta?: RequestMeta

- Defined in src/errors/baseError.ts:6

### response

response: FetchAdapterResponse

- Defined in src/errors/baseError.ts:4

### `Optional` stack

stack?: string

- Defined in src/errors/baseError.ts:9

Generated using TypeDoc